Loading...
Searching...
No Matches
juce::universal_midi_packets::Block Class Reference

## Detailed Description

Represents a Function Block (FB) or Group Terminal Block (GTB).

GTBs are only available in USB MIDI, so devices on non-USB transports will not expose GTB information. In the case that a device only exposes GTBs and not FBs, default values will be used for any fields that are unavailable in the GTB definition.

See also
  BlockInfo

The documentation for this class was generated from the following file:

- juce_audio_devices/midi_io/ump/juce_UMPBlock.h

## Public Member Functions

| Block ()=default
Block | withName (const String &x) const
Block | withFirstGroup (uint8_t x) const
Block | withNumGroups (uint8_t x) const
Block | withMaxSysex8Streams (uint8_t x) const
Block | withEnabled (bool x=true) const
Block | withUiHint (BlockUiHint x) const
Block | withMIDI1ProxyKind (BlockMIDI1ProxyKind x) const
Block | withDirection (BlockDirection x) const
String | getName () const
| The name of the block, if any.
BlockInfo | getInfo () const
| All info relating to this block.
uint8_t | getFirstGroup () const
| In the range 0x0 to 0xF inclusive.
uint8_t | getNumGroups () const
| In the range 0x01 to 0x10 inclusive.
uint8_t | getMaxSysex8Streams () const
| The number of simultaneous Sysex8 streams that are supported.
BlockUiHint | getUiHint () const
| Some blocks may support bidirectional communication (e.g.
BlockMIDI1ProxyKind | getMIDI1ProxyKind () const
| If this block is a proxy for a MIDI 1.0 stream, describes the capabilities of that stream.
BlockDirection | getDirection () const
| Returns the message transmission directions that are supported by this block.
bool | isEnabled () const
| True if this block is enabled.
bool | nameMatches (const Block &other) const
| True if the names of the two blocks match.
bool | infoMatches (const Block &other) const
| True if the BlockInfo of the two blocks match.
bool | operator== (const Block &other) const
bool | operator!= (const Block &other) const

## Constructors and Destructors

## Block()

juce::universal_midi_packets::Block::Block | ( |  | ) |

default

Referenced by infoMatches(), nameMatches(), operator!=(), operator==(), withDirection(), withEnabled(), withFirstGroup(), withMaxSysex8Streams(), withMIDI1ProxyKind(), withName(), withNumGroups(), and withUiHint().

## Member Functions

## withName()

Block juce::universal_midi_packets::Block::withName | ( | const String & | x | ) | const

inline nodiscard

References Block(), juce::withMember(), and x.

## withFirstGroup()

Block juce::universal_midi_packets::Block::withFirstGroup | ( | uint8_t | x | ) | const

inline nodiscard

References Block(), juce::withMember(), and x.

## withNumGroups()

Block juce::universal_midi_packets::Block::withNumGroups | ( | uint8_t | x | ) | const

inline nodiscard

References Block(), juce::withMember(), and x.

## withMaxSysex8Streams()

Block juce::universal_midi_packets::Block::withMaxSysex8Streams | ( | uint8_t | x | ) | const

inline nodiscard

References Block(), juce::withMember(), and x.

## withEnabled()

Block juce::universal_midi_packets::Block::withEnabled | ( | bool | x = true | ) | const

inline nodiscard

References Block(), juce::withMember(), and x.

## withUiHint()

Block juce::universal_midi_packets::Block::withUiHint | ( | BlockUiHint | x | ) | const

inline nodiscard

References Block(), juce::withMember(), and x.

## withMIDI1ProxyKind()

Block juce::universal_midi_packets::Block::withMIDI1ProxyKind | ( | BlockMIDI1ProxyKind | x | ) | const

inline nodiscard

References Block(), juce::withMember(), and x.

## withDirection()

Block juce::universal_midi_packets::Block::withDirection | ( | BlockDirection | x | ) | const

inline nodiscard

References Block(), juce::withMember(), and x.

## getName()

String juce::universal_midi_packets::Block::getName | ( |  | ) | const

inline

The name of the block, if any.

## getInfo()

BlockInfo juce::universal_midi_packets::Block::getInfo | ( |  | ) | const

inline

All info relating to this block.

## getFirstGroup()

uint8_t juce::universal_midi_packets::Block::getFirstGroup | ( |  | ) | const

inline

In the range 0x0 to 0xF inclusive.

## getNumGroups()

uint8_t juce::universal_midi_packets::Block::getNumGroups | ( |  | ) | const

inline

In the range 0x01 to 0x10 inclusive.

## getMaxSysex8Streams()

uint8_t juce::universal_midi_packets::Block::getMaxSysex8Streams | ( |  | ) | const

inline

The number of simultaneous Sysex8 streams that are supported.

## getUiHint()

BlockUiHint juce::universal_midi_packets::Block::getUiHint | ( |  | ) | const

inline

Some blocks may support bidirectional communication (e.g.

for CI) but function predominantly as a sender or receiver. The direction returned here is a hint to the user that doesn't necessarily reflect the hardware capabilities.

## getMIDI1ProxyKind()

BlockMIDI1ProxyKind juce::universal_midi_packets::Block::getMIDI1ProxyKind | ( |  | ) | const

inline

If this block is a proxy for a MIDI 1.0 stream, describes the capabilities of that stream.

## getDirection()

BlockDirection juce::universal_midi_packets::Block::getDirection | ( |  | ) | const

inline

Returns the message transmission directions that are supported by this block.

Use this to determine block capabilities. For information that will be displayed to the user, prefer getUIHint().

## isEnabled()

bool juce::universal_midi_packets::Block::isEnabled | ( |  | ) | const

inline

True if this block is enabled.

## nameMatches()

bool juce::universal_midi_packets::Block::nameMatches | ( | const Block & | other | ) | const

inline

True if the names of the two blocks match.

References Block().

## infoMatches()

bool juce::universal_midi_packets::Block::infoMatches | ( | const Block & | other | ) | const

inline

True if the BlockInfo of the two blocks match.

References Block().

## operator==()

bool juce::universal_midi_packets::Block::operator== | ( | const Block & | other | ) | const

inline

References Block(), and x.

Referenced by operator!=().

## operator!=()

bool juce::universal_midi_packets::Block::operator!= | ( | const Block & | other | ) | const

inline

References Block(), and operator==().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited